library ieee;
use ieee.std_logic_1164.all;

entity reset_generator is
	port 
	(
		clk: in std_logic;
		reset_in : in std_logic;
--		reset_vj : in std_logic;
		reset: out std_logic
	);
end reset_generator;


architecture rtl of reset_generator is
	signal ctr: integer range 0 to 31 := 0;
begin

	process(clk, reset_in)begin
		if(reset_in = '0')then
			ctr <= 0;
			reset <= '1';
		elsif(rising_edge(clk))then
--			if(reset_vj = '0')then
--				ctr <= 0;
--				reset <= '1';
--			elsif(ctr < 4)then
			if(ctr < 4)then
				reset <= '1';
				ctr <= ctr + 1;
			elsif(ctr = 31)then
				reset <= '1';
				ctr <= ctr;
			else
				reset <= '0';
				ctr <= ctr + 1;
			end if;
		end if;
	end process;
end rtl;