## Generated SDC file "max2.out.sdc"

## Copyright (C) 1991-2009 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 9.0 Build 230 05/27/2009 Service Pack 2 SJ Full Version"

## DATE    "Thu Jun 11 10:54:00 2009"

##
## DEVICE  "EPM2210F256C3"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -period "40.000 ns" -name {altera_reserved_tck} {altera_reserved_tck}
create_clock -name {clk} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk}]
create_clock -name dclk -period 20.000 -waveform {0 10} [get_ports {fpga_dclk}]

#**************************************************************
# Create Generated Clock
#**************************************************************



#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************



#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************

#set_clock_groups -asynchronous -group [get_clocks {  pfl_reconfig  }] -group [get_clocks {  clk  }] -group [get_clocks {  fsm_clk  }] -group [get_clocks {  vj_block:inst16|vj_inf:vj_inf_inst|sld_virtual_jtag:sld_virtual_jtag_component|sld_virtual_jtag_basic:sld_virtual_jtag_basic_inst|tck  }] 


#**************************************************************
# Set False Path
#**************************************************************

#set_false_path  -from  [get_clocks {clk}]  -to  [get_clocks {max2_clk}]

set_false_path -from [get_ports {factory_user}] -to *
set_false_path -from [get_ports {fpga_conf_done}] -to *
set_false_path -from [get_ports {fpga_nstatus}] -to *
set_false_path -from [get_ports {hsma_psnt_n}] -to *
set_false_path -from [get_ports {hsmb_psnt_n}] -to *
set_false_path -from [get_ports {image_sel}] -to *
set_false_path -from [get_ports {load_image}] -to *
set_false_path -from [get_ports {usb_led}] -to *
set_false_path -from [get_ports {clk_enable}] -to *
set_false_path -from [get_ports {clk_sel}] -to *
set_false_path -from [get_ports {csense_sdo}] -to *
set_false_path -from [get_ports {max_resetn}] -to *



set_false_path -from * -to image_led[*]
set_false_path -from * -to max_error
set_false_path -from * -to max_load
set_false_path -from * -to sram_mode
set_false_path -from * -to sram_zz

set_false_path -from * -to clk1_ce
set_false_path -from * -to clk1_od[1]
set_false_path -from * -to clk1_od[2]
set_false_path -from * -to clk1_pr[0]
set_false_path -from * -to clk1_pr[1]
set_false_path -from * -to clk1_rstn
set_false_path -from * -to clk2_ce
set_false_path -from * -to clk2_od[1]
set_false_path -from * -to clk2_od[2]
set_false_path -from * -to clk2_pr[0]
set_false_path -from * -to clk2_pr[1]
set_false_path -from * -to clk2_rstn
set_false_path -from * -to clk155_oe

set_false_path -from * -to csense_csn[0]
set_false_path -from * -to csense_csn[1]
set_false_path -from * -to csense_sck
set_false_path -from * -to csense_sdi




#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

#set_output_delay -clock { clk } -max 1.2 [get_ports {fpga_config_d[*]}]
#set_output_delay -clock { clk } -max 1.2 [get_ports {fpga_dclk}]
#set_output_delay -clock { clk } -max 1.2 [get_ports {fpga_nconfig}]
set_output_delay -clock { dclk } -max 1.2 [get_ports {fpga_config_d[*]}]
set_output_delay -clock { dclk } -max 1.2 [get_ports {fpga_nconfig}]

#set_output_delay -clock { clk } -min 0 [get_ports {fpga_config_d[*]}]
#set_output_delay -clock { clk } -min 0 [get_ports {fpga_dclk}]
#set_output_delay -clock { clk } -min 0 [get_ports {fpga_nconfig}]
set_output_delay -clock { dclk } -min 0 [get_ports {fpga_config_d[*]}]
set_output_delay -clock { dclk } -min 0 [get_ports {fpga_nconfig}]


set_input_delay -clock { clk } -max 15.832 [get_ports {fsm_a[*]}]
set_input_delay -clock { clk } -min 20.832 [get_ports {fsm_a[*]}]

set_input_delay -clock { clk } -max 15.832 [get_ports {fsm_d[*]}]
set_input_delay -clock { clk } -min 20.832 [get_ports {fsm_d[*]}]

set_output_delay -clock { clk } -max 1.2 [get_ports {fsm_a[*]}]
set_output_delay -clock { clk } -max 1.2 [get_ports {fsm_d[*]}]
set_output_delay -clock { clk } -max 1.2 [get_ports {flash_cen}]
set_output_delay -clock { clk } -max 1.2 [get_ports {flash_wen}]
set_output_delay -clock { clk } -max 1.2 [get_ports {flash_oen}]

set_output_delay -clock { clk } -max 0 [get_ports {fsm_a[*]}]
set_output_delay -clock { clk } -max 0 [get_ports {fsm_d[*]}]
set_output_delay -clock { clk } -min 0 [get_ports {flash_cen}]
set_output_delay -clock { clk } -min 0 [get_ports {flash_wen}]
set_output_delay -clock { clk } -min 0 [get_ports {flash_oen}]


set_input_delay -clock { clk } -max 15.832 [get_ports {max2_*}]
set_input_delay -clock { clk } -min 20.832 [get_ports {max2_*}]



set_input_delay  -clock altera_reserved_tck 5 [get_ports altera_reserved_tdi]
set_input_delay  -clock altera_reserved_tck 5 [get_ports altera_reserved_tms]
